package com.ruoyi.system.mapper.projectV2;

import java.util.List;
import com.ruoyi.system.domain.projectV2.ZsyzQktj;

/**
 * 招商引资_情况月统计Mapper接口
 * 
 * @author ruoyi
 * @date 2023-03-10
 */
public interface ZsyzQktjMapper 
{
    /**
     * 查询招商引资_情况月统计
     * 
     * @param id 招商引资_情况月统计主键
     * @return 招商引资_情况月统计
     */
    public ZsyzQktj selectZsyzQktjById(Long id);

    /**
     * 查询招商引资_情况月统计列表
     * 
     * @param zsyzQktj 招商引资_情况月统计
     * @return 招商引资_情况月统计集合
     */
    public List<ZsyzQktj> selectZsyzQktjList(ZsyzQktj zsyzQktj);

    /**
     * 新增招商引资_情况月统计
     * 
     * @param zsyzQktj 招商引资_情况月统计
     * @return 结果
     */
    public int insertZsyzQktj(ZsyzQktj zsyzQktj);

    /**
     * 修改招商引资_情况月统计
     * 
     * @param zsyzQktj 招商引资_情况月统计
     * @return 结果
     */
    public int updateZsyzQktj(ZsyzQktj zsyzQktj);

    /**
     * 删除招商引资_情况月统计
     * 
     * @param id 招商引资_情况月统计主键
     * @return 结果
     */
    public int deleteZsyzQktjById(Long id);

    /**
     * 批量删除招商引资_情况月统计
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteZsyzQktjByIds(Long[] ids);
}
